#include<iostream>
using namespace std;
int main()
{
	int n,k,br=0;
	cin>>n>>k;
	int a[2*n+1];
	for(int i=0;i<=2*n;i++)
	{
		a[i]=0;
	}
	for(int i=0;i<n;i++)
	{
		int l;
		cin>>l;
		a[l+n]++;
	}
	for(int i=0;i<=2*n;i++)
	{
		if(a[i]>=k)br++;
	}
	cout<<br<<endl;
	for(int i=0;i<=2*n;i++)
	{
		if(a[i]>=k)cout<<i-n<<" ";
	}

}